package com.pcloud.book.pcloudkeyword.dao;

import com.pcloud.book.pcloudKeyword.dto.RobotClassifyDTO;
import com.pcloud.book.pcloudkeyword.entity.PcloudRobot;
import com.pcloud.book.pcloudkeyword.entity.PcloudRobotMemo;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

public interface PcloudRobotMemoDao extends BaseDao<PcloudRobotMemo> {


    List<PcloudRobotMemo> getMemoListByGroupId(Long id);

    List<PcloudRobotMemo> getMemoByContext(String context);

    void updateById(PcloudRobotMemo pcloudRobotMemo);
}
